import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconAlertTriangle = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: [_jsx("path", { d: "M10.29 3.86L1.82 18a2 2 0 0 0 1.71 3h16.94a2 2 0 0 0 1.71-3L13.71 3.86a2 2 0 0 0-3.42 0z" }), _jsx("line", { x1: "12", y1: "9", x2: "12", y2: "13" }), _jsx("line", { x1: "12", y1: "17", x2: "12.01", y2: "17" })] }));
};
IconAlertTriangle.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconAlertTriangle.js.map