import * as React from "react";
import { CSSProperties } from "react";
interface TwoHalfFrameProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode;
    rightPanel: React.ReactNode;
    leftStyle?: CSSProperties;
    rightStyle?: CSSProperties;
    enlarge?: number;
}
/**公用框架组件  Left左半列表摘要 + 右半边Console详细操作的页面。
 * 【注意】useContext(PanelEnlargeCtx);应该定义在TwoHalfFrame组件的层次顺序之下的，而不是TwoHalfFrame之前，否则PanelEnlargeCtx不正常。
 * TwoHalfFrame应该放在路由器每个路由顶部，外部加个PanelEnlargeCtx.Provider配套控制本实例TwoHalfFrame。
 * 本组件是框架，要配合 <TwoHalfRightPanel/>组件 以及<PanelEnlargeCtx.Provider 这两个东西来协同完成框架页面构建。
 * 需要在页面路由器头上加<PanelEnlargeCtx.Provider  value={{ enlarge, setEnlarge，activecas，setActivecas }}>
 * 【特别】<PanelEnlargeCtx.Provider的提供位置非常严格，可能无效:初始化取值，还是后来能修改赋值?。
 * 手机模式TwoHalfFrame右边页面实际和左边页面并排在X轴线，依据水平动画X变换移动来展示的。所以有些依据定位组件可能不适合右边页面会依附于左边页面的无效情况！
 * */
export declare const TwoHalfFrame: React.ForwardRefExoticComponent<TwoHalfFrameProps & React.RefAttributes<any>>;
export {};
